AltScore

Pagination

Various entities of the API allow for resource listing. To facilitate navigation through these lists, the AltScore API implements pagination. Pagination is achieved by using the page and per-page parameters in the URL of the request.

The response from the API will include a header X-Total-Count that indicates the total number of resources available and the body of the response will be a list of resources.

Example

curl --location 'https://bc.altscore.ai/v1/borrowers?page=2&per-page=2' \
--header 'Authorization: Bearer {token}'

Response

[
    {
        "id": "3fc4771e-e0b7-4da7-bbc3-6e245467876f",
        "persona": "individual",
        "avatarUrl": null,
        "label": "William Berry",
        "tags": [
            "TEST"
        ],
        "flag": "green",
        "riskRating": "A1",
        "repaymentRiskRating": 1,
        "currentStep": {
            "stepId": "613a2226-8f73-42dc-ba72-c3b61501655c",
            "order": 1,
            "key": "created",
            "createdAt": "2024-09-20T18:12:31.677000"
        },
        "cmsClientIds": [],
        "createdAt": "2024-09-20T18:12:31.394000",
        "updatedAt": "2024-09-20T18:12:31.394000"
    },
    {
        "id": "220b3a03-0b01-42f6-875c-8b0d0857d7cf",
        "persona": "individual",
        "avatarUrl": null,
        "label": "Jeremy Morton",
        "tags": [],
        "flag": null,
        "riskRating": null,
        "repaymentRiskRating": null,
        "currentStep": {
            "stepId": "6ccb8007-31c9-4884-adcd-934842892152",
            "order": 1,
            "key": "created",
            "createdAt": "2024-09-20T18:07:30.030000"
        },
        "cmsClientIds": [],
        "createdAt": "2024-09-20T18:07:29.666000",
        "updatedAt": "2024-09-20T18:07:29.666000"
    }
]

On this page